-- 速度增加或降低固定值，每层加1，超过800层则降低1

modifier_move_speed = class({})

local public = modifier_move_speed

local m_modifier_funcs=
{
	MODIFIER_PROPERTY_MOVESPEED_BONUS_CONSTANT,
}

function public:IsHidden()
	return true
end

function public:IsDebuff()
	return false
end

function public:IsPurgable()
	return false
end

function public:DeclareFunctions()
	return m_modifier_funcs
end

function public:GetModifierMoveSpeedBonus_Constant()	
	if self:GetStackCount() <= 800 then 
		return self:GetStackCount()
	else --减速
		return -(self:GetStackCount() - 800)
	end
end
